<template>
    <div class="text-gray-700 dark:text-gray-400 bg-gray-200 dark:bg-gray-800 min-h-screen">
        <LayoutHeader>
            <nav class="hidden sm:block">
                <div class="flex items-center gap-7 sm:gap-4 md:gap-7 mx-auto max-w-5xl">
                    <Logo />
                    <NuxtLink
                        v-for="(item, index) in menuItems"
                        :key="index"
                        :to="item.path"
                        class="text-white hover:text-green-400 border-b-2 border-transparent"
                        exact-active-class="border-gray-400 pb-1.5 mt-1.5"
                    >
                        {{ item.title }}
                    </NuxtLink>
                    <ThemeToggler />
                    <AlgoliaSearch v-if="!isMobile" />
                </div>
            </nav>
            <MobileMenu :items="menuItems" />
        </LayoutHeader>

        <main class="relative p-4 md:p-8">
            <div class="mx-auto max-w-5xl">
                <nuxt />
            </div>
        </main>
    </div>
</template>

<script>
export default {
    data() {
        return {
            isMobile: false,
            menuItems: [
                {
                    title: 'Home',
                    path: '/',
                },
                {
                    title: 'About',
                    path: '/about',
                },
            ],
        }
    },
    mounted() {
        // Make vue-mobile-detection also work on server-side rendered page (dev)
        // https://stackoverflow.com/a/68123999/5982842
        this.isMobile = this.$isMobile()
    },
}
</script>
